org.apache.commons.jexl3.introspection

## Class JexlSandbox.Permissions

- java.lang.Object
- - org.apache.commons.jexl3.introspection.JexlSandbox.Permissions

- Enclosing class:
    JexlSandbox

      public static final class JexlSandbox.Permissions
      extends Object

  Contains the allow or block lists for properties and methods for a given class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JexlSandbox.Names` | `execute()` Gets the set of method names in these permissions.
    `JexlSandbox.Permissions` | `execute(String... mnames)` Adds a list of executable methods names to these permissions.
    `boolean` | `isInheritable()`
    `JexlSandbox.Names` | `read()` Gets the set of readable property names in these permissions.
    `JexlSandbox.Permissions` | `read(String... pnames)` Adds a list of readable property names to these permissions.
    `JexlSandbox.Names` | `write()` Gets the set of writable property names in these permissions.
    `JexlSandbox.Permissions` | `write(String... pnames)` Adds a list of writable property names to these permissions.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isInheritable

          public boolean isInheritable()

      Returns:
        whether these permissions applies to derived classes.

    - #### read

          public JexlSandbox.Permissions read(String... pnames)

      Adds a list of readable property names to these permissions.
      Parameters:
        `pnames` - the property names
      Returns:
        this instance of permissions

    - #### write

          public JexlSandbox.Permissions write(String... pnames)

      Adds a list of writable property names to these permissions.
      Parameters:
        `pnames` - the property names
      Returns:
        this instance of permissions

    - #### execute

          public JexlSandbox.Permissions execute(String... mnames)

      Adds a list of executable methods names to these permissions.

      The constructor is denoted as the empty-string, all other methods by their names.

      Parameters:
        `mnames` - the method names
      Returns:
        this instance of permissions

    - #### read

          public JexlSandbox.Names read()

      Gets the set of readable property names in these permissions.
      Returns:
        the set of property names

    - #### write

          public JexlSandbox.Names write()

      Gets the set of writable property names in these permissions.
      Returns:
        the set of property names

    - #### execute

          public JexlSandbox.Names execute()

      Gets the set of method names in these permissions.
      Returns:
        the set of method names

Copyright © 2001–2022 The Apache Software Foundation. All rights reserved.